# if script running on Windows OS
if ($ENV{'WINDIR'})
{
	# $Encryption variable:
	# -m  Force MD5 encryption of the password.
	# -d  Force CRYPT encryption of the password.
	# -s  Force SHA encryption of the password.
	# or empty for default
 	$Encryption = '';
	$PassFile = '\webshare\wwwroot\closed\.htpasswd';
	$GroupFile = '\webshare\wwwroot\closed\.htgroups';
	$WebRootDir = '\webshare\wwwroot\closed';
	$ChangeUserCommand = '\apache\bin\htpasswd.exe';
	$DirSeparator = '\\';
	$htaccessTempl = qq{AuthType Basic\nAuthAuthoritative on\nAuthName "Restricted"\nAuthUserFile $PassFile\nAuthGroupFile $GroupFile\n<FilesMatch "\\.(htaccess|htgroups|htpasswd)\$">\n    Deny from all\n</FilesMatch>\nrequire user administrator\nrequire group administrators\n};
	$AdminPassword = 'administrator';
}
# if linux
else
{
	# $Encryption variable:
	# -m  Force MD5 encryption of the password.
	# -d  Force CRYPT encryption of the password.
	# -s  Force SHA encryption of the password.
	# or empty for default
 	$Encryption = '';
	$PassFile = '/pub/home/mysite/closed/.htpasswd';
	$GroupFile = '/pub/home/mysite/closed/.htgroups';
	$WebRootDir = '/pub/home/mysite/closed';
	$ChangeUserCommand = '/usr/local/apache/bin/htpasswd';
	$DirSeparator = '/';
	$htaccessTempl = qq{AuthType Basic\nAuthAuthoritative on\nAuthName "Restricted"\nAuthUserFile $PassFile\nAuthGroupFile $GroupFile\n<FilesMatch "\\.(htaccess|htgroups|htpasswd)\$">\n    Deny from all\n</FilesMatch>\nrequire user administrator\nrequire group administrators\n};
	$AdminPassword = 'administrator';
}

1;
